Update One Document
curl --request PATCH \
--url https://api.upwell.com/api/rest/documents/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"input": {
"classifiedTypeString": "<string>",
"isPodReceivables": true,
"isSevereMismatch": true,
"legibilityReasoning": "<string>",
"legibilityScore": 123,
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"typeMatches": true
}
}
'import requests
url = "https://api.upwell.com/api/rest/documents/{id}"
payload = {
"id": "<string>",
"input": {
"classifiedTypeString": "<string>",
"isPodReceivables": True,
"isSevereMismatch": True,
"legibilityReasoning": "<string>",
"legibilityScore": 123,
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"typeMatches": True
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
input: {
classifiedTypeString: '<string>',
isPodReceivables: true,
isSevereMismatch: true,
legibilityReasoning: '<string>',
legibilityScore: 123,
sourceSystem: '<string>',
sourceSystemId: '<string>',
typeMatches: true
}
})
};
fetch('https://api.upwell.com/api/rest/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updateDocument": {
"id": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>"
}
}Documents
Update One Document
Update a document by ID
PATCH
/
api
/
rest
/
documents
/
{id}
Update One Document
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Path Parameters
"id" is required (enter it either in parameters or request body)
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Response
200 - application/json
Responses for PATCH /api/rest/documents/{id}
Documents table
Show child attributes
Show child attributes
⌘I

